Page MenuHomePhabricator

getTextForSummary() called on non-object
Closed, ResolvedPublic

Description

The following has appeared in the WMF error logs:

Fatal error: Call to a member function getTextForSummary() on a non-object at /usr/local/apache/common-local/php-1.21wmf2/includes/content/ContentHandler.php

on line 859

coming from ContentHandler::getAutoDeleteReason()


Version: unspecified
Severity: normal

Details

Reference
bz41370

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 1:14 AM
bzimport set Reference to bz41370.
bzimport added a subscriber: Unknown Object (MLST).
aude created this task.Oct 25 2012, 7:21 AM

Fix at I4976f2d0

fix was merged into master

(In reply to comment #2)

fix was merged into master

Should this report be closed as RESOLVED FIXED, or is there something else to wait for?

(In reply to comment #3)

(In reply to comment #2)

fix was merged into master

Should this report be closed as RESOLVED FIXED, or is there something else to
wait for?

It's fixed in master, but not on the WMF projects: we're still unable to delete empty pages when the last non-empty revison has been revisiondelete-d.

Best regards,

Reedy added a comment.Oct 26 2012, 8:44 PM

It is now.

(In reply to comment #5)

It is now.

Indeed. Thank you!